[Scipy-tickets] [SciPy] #510: Add #include <complex.h> line to fblaswrap_veclib_c.c or not under gcc 3.3 of Apple.

SciPy scipy-tickets@scipy....
Thu Oct 4 07:35:48 CDT 2007


#510: Add #include <complex.h> line to fblaswrap_veclib_c.c or not under gcc 3.3
of Apple.
--------------------------+-------------------------------------------------
 Reporter:  ShigeruHEMMI  |       Owner:  somebody
     Type:  defect        |      Status:  new     
 Priority:  low           |   Milestone:  0.7     
Component:  scipy.linalg  |     Version:          
 Severity:  normal        |    Keywords:          
--------------------------+-------------------------------------------------
 Under MAC OS X 10.3.9 (Panther),
 scipy-0.6.0/scipy/linalg/src/fblaswrap_veclib_c.c needs to add #include
 <complex.h> line  together with #include <vecLib/vecLib.h> line so that
 not to meet compilation error.
 Here, for gcc, Apple supplied gcc (GCC) 3.3 20030304 (Apple Computer, Inc.
 build 1671) has been used.
 Note that it needs further investigation if the inlcusion of #include
 <complex.h> is proper or not.
 See the comment,
 http://projects.scipy.org/pipermail/scipy-user/2007-October/013928.html

-- 
Ticket URL: <http://scipy.org/scipy/scipy/ticket/510>
SciPy <http://www.scipy.org/>
SciPy is open-source software for mathematics, science, and engineering.


More information about the Scipy-tickets mailing list